Yaf_Router::getCurrentRoute
Yaf_Router::getRoutes
Yaf_Router
PHP Manual

# Yaf_Router::getRoute

Retrieve a route by name

### Description

public Yaf_Route_Interface Yaf_Router::getRoute ( string `$name` )

Retrieve a route by name, see also Yaf_Router::getCurrentRoute

### Parameters

This function has no parameters.

### Return Values

### See Also

- Yaf_Bootstrap_Abstract
- Yaf_Plugin_Abstract
- Yaf_Router::addRoute
- Yaf_Router::getCurrentRoute